DefaultGrailsDomainClassInjector (Grails 3.3.3)
Date: 2018-03-07

Package: org.grails.compiler.injection

## [Java] Class DefaultGrailsDomainClassInjector

- org.grails.compiler.injection.DefaultGrailsDomainClassInjector

- All Implemented Interfaces and Traits:
    GrailsArtefactClassInjector, GrailsDomainClassInjector

      @AstTransformer
      public class DefaultGrailsDomainClassInjector
      extends java.lang.Object

  Default implementation of domain class injector interface that adds the 'id' and 'version' properties and other previously boilerplate code.

  Authors:
    Graeme Rocher
  Since:
    0.2

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String[]` | `getArtefactTypes()`
    `` | `void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `void` | `performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `void` | `performInjectionOnAnnotatedEntity(org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `boolean` | `shouldInject(java.net.URL url)`
    `` | `protected boolean` | `shouldInjectClass(org.codehaus.groovy.ast.ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public java.lang.String[] getArtefactTypes()

    - #### public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

    - #### public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### public void performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### public void performInjectionOnAnnotatedEntity(org.codehaus.groovy.ast.ClassNode classNode)

    - #### public boolean shouldInject(java.net.URL url)

    - #### protected boolean shouldInjectClass(org.codehaus.groovy.ast.ClassNode classNode)